
User Interface - Bug #2918

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

frame title active state difference for frames without focusable widgets

12/04/2015 08:36 AM - Eugenie Lyzenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 12/04/2015 08:39 AM - Eugenie Lyzenko

- File frame_activation_rect2_test_4gl_step1.jpg added

- File frame_activation_rect2_test_p2j_step2_diff_20151204.jpg added

- File frame_activation_rect2_test_4gl_step2.jpg added

- File frame_activation_rect2_test_4gl_step0.jpg added

This issue is happening when the frame has no focusable widgets inside and for certain conditions. The example - rectangle/rect_test2.p

1. Start the test, the frame title is the same as in 4gl.

2. Click on the frame title. The title become active in both 4gl and p2j

3. Press spacebar to continue testing. In 4gl the frame title is not active while in p2j it is active.

And this is the difference. See the pictures attached.

#2 - 04/15/2016 03:19 AM - Hynek Cihlar

- Assignee set to Hynek Cihlar

#3 - 04/20/2016 12:55 PM - Hynek Cihlar

The issue is fixed in task branch 2918a revision 11005. The changes depend on 2823a, rebase is pending.

#4 - 04/20/2016 01:06 PM - Greg Shah

Code Review Task Branch 2918a Revision 11005

I'm fine with the changes.  Some minor comments:

1. In UiUtils, the locateFrame() and locateRootFrame() could use a common worker method by passing a predicate (lambda).

2. Please add history entries to TopLevelWindow, UiUtils and AbstractWidget.
#5 - 04/21/2016 11:40 AM - Hynek Cihlar

2918a rebased against trunk revision 11007, the branch is now at revision 11010.

#6 - 04/21/2016 11:52 AM - Hynek Cihlar

2918a revision 11008 resolves the issues from review. It passed GUI regression tests and ChUI regression testing in progress.

Please review.

#7 - 04/21/2016 12:11 PM - Greg Shah

Code Review Task Branch 2918a Revision 11011

Please update the javadoc for UiUtils.getParentFrames() to explain that if the given widget is itself a frame, then it will be included in the resulting list.

Otherwise the changes are fine.

#8 - 04/21/2016 01:13 PM - Hynek Cihlar

Greg Shah wrote:

Code Review Task Branch 2918a Revision 11011

Please update the javadoc for UiUtils.getParentFrames() to explain that if the given widget is itself a frame, then it will be included in the resulting

list.

 

This is good point. I had unintentionally changed the semantics of locateFrame(), the method in its original implementation does not return the passed

in frame widget. And I think it also makes sense for getParentFrames() not to include the passed in frame.

Also I fixed the original logic of locateFrame() that would not properly resolve the parent frame when DropDown is passed in.

Please review revision 11012. I am also restarting ChUI regression tests.

#9 - 04/21/2016 01:36 PM - Greg Shah

Code Review Task Branch 2918a Revision 11012

I'm good with the changes.

#10 - 04/22/2016 09:52 AM - Greg Shah

How is testing coming along?

I expect to be ready for 1811u to go into testing soon, but we are waiting on 2918a.
#11 - 04/22/2016 10:06 AM - Hynek Cihlar

Greg Shah wrote:

How is testing coming along?

I expect to be ready for 1811u to go into testing soon, but we are waiting on 2918a.

 

Sorry, I forgot to report back. The test failed with some unexpected errors. I had to restart it.

#12 - 04/22/2016 04:03 PM - Hynek Cihlar

ChUI regression testing finished again with many false negatives, restarted.

#13 - 04/23/2016 01:20 AM - Hynek Cihlar

This time 2918a ChUI testing hang in Ctrl-C part. Testing restarted.

#14 - 04/24/2016 05:28 AM - Hynek Cihlar

2918a rebased against trunk rev 11008. Also I fixed two regressions in the branch - an NPE in GUI alert-box and wrong focus state in ChUI.

The branch has passed Ctrl-C tests, main part is in progress.

#15 - 04/25/2016 05:18 AM - Hynek Cihlar

2918a revision 11017 has passed regression testing. I am about to rebase the branch against latest trunk.

#16 - 04/25/2016 05:55 AM - Hynek Cihlar

2918a rebased against trunk 11010 as revision 11019. There were no conflicting changes. GUI regression tests went fine, ChUI regression testing is

in progress.

#17 - 04/25/2016 08:16 AM - Greg Shah

Considering the low risk of regressions on the ChUI side, please go ahead and merge to trunk now.

#18 - 04/25/2016 08:26 AM - Hynek Cihlar

2918a merged to trunk as revision 11011. The branch has been archived.

#19 - 04/25/2016 08:26 AM - Hynek Cihlar

- % Done changed from 0 to 100

#20 - 04/25/2016 08:33 AM - Greg Shah

- Start date deleted (12/04/2015)

- Status changed from New to Closed

- Target version set to Milestone 16

#21 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
